"use strict";
// Copyright IBM Corp. 2020. All Rights Reserved.
// Node module: @loopback/example-webpack
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
const testlab_1 = require("@loopback/testlab");
const test_helper_1 = require("./test-helper");
describe('bundle-node.js', () => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    let bundle;
    before('generate bundle-node.js', async function () {
        // It may take some time to generate the bundle using webpack
        this.timeout(30000);
        await (0, test_helper_1.generateBundle)('node');
        bundle = require('../../bundle-node');
    });
    it('invokes main function', async () => {
        const greetings = await bundle.main();
        (0, test_helper_1.assertGreetings)(greetings);
    });
    it('has access to Context', async () => {
        const ctx = new bundle.Context('my-ctx');
        (0, testlab_1.expect)(ctx.name).to.eql('my-ctx');
    });
});
//# sourceMappingURL=bundle-node.integration.js.map